Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.plugins.eclipse
[Groovy] Class EclipseWtp

    java.lang.Object
      org.gradle.api.internal.ConventionTask
          org.gradle.plugins.eclipse.EclipseWtp

    class EclipseWtp
    extends ConventionTask

Generates Eclipse configuration files for Eclipse WTP.

Authors:
  Hans Dockter

Field Summary
`protected WtpFactory` | `modelFactory`

Property Summary
`ActionBroadcast` | `beforeConfiguredActions`
`java.lang.String` | `contextPath` The context path for the web application
`java.lang.String` | `deployName` The deploy name to be used in the org.eclipse.wst.common.component file.
`java.util.List` | `facets` The facets to be added as installed elements to the org.eclipse.wst.common.project.facet.core file.
`java.util.Set` | `minusConfigurations` The configurations which files are to be excluded from the dependent-module elements of the org.eclipse.wst.common.component file.
`java.io.File` | `orgEclipseWstCommonComponentInputFile` The file that is merged into the to be produced org.eclipse.wst.common.component file.
`java.io.File` | `orgEclipseWstCommonComponentOutputFile` The output file for the org.eclipse.wst.common.component metadata.
`java.io.File` | `orgEclipseWstCommonProjectFacetCoreInputFile` The file that is merged into the to be produced org.eclipse.wst.common.project.facet.core file.
`java.io.File` | `orgEclipseWstCommonProjectFacetCoreOutputFile` The output file for the org.eclipse.wst.common.project.facet.core metadata.
`java.util.Set` | `plusConfigurations` The configurations which files are to be transformed into dependent-module elements of the org.eclipse.wst.common.component file.
`java.util.List` | `properties` Additional property elements.
`java.util.List` | `resources` Additional wb-resource elements.
`java.lang.Iterable` | `sourceSets` The source sets to be transformed into wb-resource elements.
`java.util.Map` | `variables` The variables to be used for replacing absolute path in dependent-module elements of the org.eclipse.wst.common.component file.
`ActionBroadcast` | `whenConfiguredActions`
`ActionBroadcast` | `withXmlActions`

Constructor Summary
`EclipseWtp()`

Method Summary
`void` | `beforeConfigured(groovy.lang.Closure closure)` Adds a closure to be called when the model has been loaded from the input files, and before this task has configured the model.
`void` | `facet(java.util.Map args)` Adds a facet for the org.eclipse.wst.common.project.facet.core file.
`protected void` | `generateXml()`
`void` | `property(java.util.Map args)` Adds a property to be added to the org.eclipse.wst.common.component file.
`void` | `resource(java.util.Map args)` Adds a wb-resource to be added to the org.eclipse.wst.common.component file.
`void` | `variables(java.util.Map variables)` Adds variables to be used for replacing absolute path in dependent-module elements of the org.eclipse.wst.common.component file.
`void` | `whenConfigured(groovy.lang.Closure closure)` Adds a closure to be called after this task has configured model, and before it generates the XML content for the files.
`void` | `withXml(groovy.lang.Closure closure)` Adds a closure to be called when the XML content for each file has been generated, but before the content is written to the file.

Field Detail

### modelFactory

    protected WtpFactory modelFactory

Property Detail

### beforeConfiguredActions

    ActionBroadcast beforeConfiguredActions

### contextPath

    java.lang.String contextPath

  The context path for the web application

### deployName

    java.lang.String deployName

  The deploy name to be used in the org.eclipse.wst.common.component file.

### facets

    java.util.List facets

  The facets to be added as installed elements to the org.eclipse.wst.common.project.facet.core file.

### minusConfigurations

    java.util.Set minusConfigurations

  The configurations which files are to be excluded from the dependent-module elements of the org.eclipse.wst.common.component file.

### orgEclipseWstCommonComponentInputFile

    java.io.File orgEclipseWstCommonComponentInputFile

  The file that is merged into the to be produced org.eclipse.wst.common.component file. This file must not exist.

### orgEclipseWstCommonComponentOutputFile

    @OutputFile
    java.io.File orgEclipseWstCommonComponentOutputFile

  The output file for the org.eclipse.wst.common.component metadata.

### orgEclipseWstCommonProjectFacetCoreInputFile

    java.io.File orgEclipseWstCommonProjectFacetCoreInputFile

  The file that is merged into the to be produced org.eclipse.wst.common.project.facet.core file. This file must not exist.

### orgEclipseWstCommonProjectFacetCoreOutputFile

    @OutputFile
    java.io.File orgEclipseWstCommonProjectFacetCoreOutputFile

  The output file for the org.eclipse.wst.common.project.facet.core metadata.

### plusConfigurations

    java.util.Set plusConfigurations

  The configurations which files are to be transformed into dependent-module elements of the org.eclipse.wst.common.component file.

### properties

    java.util.List properties

  Additional property elements.

### resources

    java.util.List resources

  Additional wb-resource elements.

### sourceSets

    java.lang.Iterable sourceSets

  The source sets to be transformed into wb-resource elements.

### variables

    java.util.Map variables

  The variables to be used for replacing absolute path in dependent-module elements of the org.eclipse.wst.common.component file.

### whenConfiguredActions

    ActionBroadcast whenConfiguredActions

### withXmlActions

    ActionBroadcast withXmlActions

Constructor Detail

### EclipseWtp

    EclipseWtp()

Method Detail

### beforeConfigured

    void beforeConfigured(groovy.lang.Closure closure)

  Adds a closure to be called when the model has been loaded from the input files, and before this task has configured the model.

### facet

    void facet(java.util.Map args)

  Adds a facet for the org.eclipse.wst.common.project.facet.core file.
  Parameters:
    `args` - A map that must contain a name and version key with corresponding values.

### generateXml

    @TaskAction
    protected void generateXml()

### property

    void property(java.util.Map args)

  Adds a property to be added to the org.eclipse.wst.common.component file.
  Parameters:
    `args` - A map that must contain a name and value key with corresponding values.

### resource

    void resource(java.util.Map args)

  Adds a wb-resource to be added to the org.eclipse.wst.common.component file.
  Parameters:
    `args` - A map that must contain a deployPath and sourcePath key with corresponding values.

### variables

    void variables(java.util.Map variables)

  Adds variables to be used for replacing absolute path in dependent-module elements of the org.eclipse.wst.common.component file.
  Parameters:
    `variables` - A map where the keys are the variable names and the values are the variable values.

### whenConfigured

    void whenConfigured(groovy.lang.Closure closure)

  Adds a closure to be called after this task has configured model, and before it generates the XML content for the files.

### withXml

    void withXml(groovy.lang.Closure closure)

  Adds a closure to be called when the XML content for each file has been generated, but before the content is written to the file.

Groovy Documentation